﻿body {
  height: 100%;
}

.content-container {
  margin-top: 5rem;
}

.jumbotron h1, .jumbotron .h1 {
  font-size: 58px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

*:focus {
  outline: none;
}

.text-none a,
.text-primary a,
.text-info a,
.text-success a,
.text-warning a,
.text-danger a {
  color: inherit;
}

a.sortable .icon {
  display: none;
}

.list-group-item {
  padding: 8px 15px;
}

.list-group-item > .badge.with-icon {
  margin-top: -21px;
}

table.table tr > td {
  vertical-align: middle;
}

table.table .pad {
  padding-left: 10px;
}

table.table-custom tr td:nth-child(1) {
  width: 8%;
}

table.table-custom tr td:nth-child(2) {
  width: 8%;
}

table.table-custom tr td:nth-child(3) {
  width: 25%;
}

table.table-custom tr td:nth-child(4) {
  width: 15%;
}

table.table-custom tr td:nth-child(5) {
  width: 30%;
}

.alert-big {
  font-size: 25px;
}

.highlight {
  background: #ff0;
  color: #000;
  padding: .2em;
}

.h-scroll {
  height: 80vh;
  width: 90vw;
  position: fixed;
  overflow-y: scroll;
}

.cutout {
  border: dotted;
  padding: 10px;
  text-align: center;
  width: 180px;
}

.btn-group form {
  display: inline-block;
  padding: 5px;
}

.activity-list li {
  font-size: 15px;
}

.rules-container {
  margin-top: 10px;
}

.rules {
  min-height: 450px;
  background-color: white;
  border-collapse: separate;
  border: 1px solid rgb(204, 204, 204);
  padding: 4px;
  box-sizing: content-box;
  -webkit-box-shadow: rgba(0, 0, 0, 0.0745098) 0 1px 1px 0 inset;
  box-shadow: rgba(0, 0, 0, 0.0745098) 0 1px 1px 0 inset;
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
  overflow: scroll;
  outline: 0;
}

.rules:focus {
  outline: 0;
}

.rules-fs-small {
  font-size: x-small;
}

.rules-fs-medium {
  font-size: medium;
}

.rules-fs-large {
  font-size: x-large;
}

.dropdown-menu a {
  cursor: pointer;
}

.btn-toolbar {
  padding: 10px 0 10px 0;
}

.device-icon {
  width: 30px;
  height: 30px;
  display: inline-block;
}

.device-image {
  max-width: 200px;
}

.device-thumbnail {
  width: 40px;
}

.employee-image {
  height: 64px;
}

.report-form,
.employee-form{
  margin-top: 12px;
  margin-bottom: 12px;
}

.report-summary {
  padding-left: 0;
  padding-right: 0;
}

.input-filter {
  width: 100%;
  border-radius: 0;
}

.modal .modal-dialog.modal-lg {
  width: 75%;
}

.select2 {
  width: 100% !important;
}

.select2-container--bootstrap .select2-results > .select2-results__options {
  max-height: 315px;
}

/* Consistent arrow with current theme */
.select2-container--bootstrap .select2-selection--single .select2-selection__arrow b {
  border-color: #666666 transparent transparent transparent;
  margin-left: 5px;
}

.select2-container--bootstrap.select2-container--open .select2-selection .select2-selection__arrow b {
  border-color: #666666 transparent transparent transparent;
  border-width: 4px 4px 0 4px;
}

.select2-selection__rendered {
  font-family: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #666666;
  font-size: 16px;
}

.select2-container--bootstrap .select2-results__option--highlighted h5 {
  color: #ffffff;
}

.list-group-item .btn,
.list-group-item .btn:hover,
.list-group-item .btn:focus {
  margin-top: -29px;
  margin-left: 10px;
  outline: 0;
  padding: 0;
}

.list-group-item form .badge {
  float: right;
  margin-top: -21px;
}

/* Grid */
.bootgrid-header .actionBar .actions {
  float: right;
}

.pagination {
  margin: 0;
  cursor: pointer;
}

.dropdown-menu {
  padding: 12px;
}

.dropdown-item {
  cursor: pointer;
}

.bootgrid-footer .search,
.bootgrid-header .search {
  display: inline-block;
  width: 85%;
}

/* Icons */
.mdi.mdi-delete-forever {
  color: #666666;
  font-size: 20px;
}

.mdi.mdi-android {
  color: #9CBD38;
}

.mdi.mdi-apple {
  color: #6D6E71;
}

.mdi.mdi-apple-finder {
  color: #7294DA;
}

.mdi.mdi-blackberry,
.mdi.mdi-watch,
.mdi.mdi-linux {
  color: #000;
}

.mdi.mdi-windows {
  color: #234487;
}

.mdi.mdi-firefox {
  color: #E66000;
}
